Ausgehende Mails nicht von Spamassassin prüfen lassen

Postfix, QMail, Sendmail, Dovecot, Cyrus, Courier, Anti-Spam
tec79
Posts: 29
Joined: 2003-07-08 10:14

Ausgehende Mails nicht von Spamassassin prüfen lassen

Post by tec79 » 2003-11-10 13:43

Hallo!

Kann ich Postfix so konfigurieren, das Mails, die mit STMP-Auth eingeliefert wurden, nicht von Spamassassin geprüft werden sollen? Ich verschicke selbst keine Spam-Mails und möchte mir gerne den Overhead ersparen.

Außerdem bekommen meine Mails immer viele Punkte weil sie aus einem Bereich mit dynamische IP stammen. Gibts eine Möglichkeit die recived-from-Headers von meinem lokalen Mailserver, der via DSL angeschlossen ist, aus der Mail zu entfernen?

Danke schon mal

Tec

captaincrunch
Userprojekt
Userprojekt
Posts: 7225
Joined: 2002-10-09 14:30
Location: Dorsten

Re: Ausgehende Mails nicht von Spamassassin prüfen lassen

Post by captaincrunch » 2003-11-10 14:14

More input needed
DebianHowTo
echo "[q]sa[ln0=aln256%Pln256/snlbx]sb729901041524823122snlbxq"|dc

tec79
Posts: 29
Joined: 2003-07-08 10:14

Re: Ausgehende Mails nicht von Spamassassin prüfen lassen

Post by tec79 » 2003-11-10 14:22

Also....

der Mailserver auf meinem Rootserver soll bei Mails, die er mit SMTP-Auth bekommen hat:

1. diese nicht an den Spamfilter schicken
2. aus dem Mailheader den recieved-from-Teil entfernen:

Code: Select all

Received: by mail.*.org (Postfix, from userid 502)
	id 35B48314123; Mon, 10 Nov 2003 13:18:48 +0100 (CET)
Received: from mail.***.info (p***.dip.t-dialin.net [80.142.*.*])
	by mail.*.org (Postfix) with ESMTP id 5973D31411F
	for <info@*.com>; Mon, 10 Nov 2003 13:18:42 +0100 (CET)
Received: from tecws ([192.168.117.2])
        by mail.aw.*.info (Merak 6.2.1) with SMTP id JT55S
        for <info@*.com>; Mon, 10 Nov 2003 13:18:42 +0100
Der 2. Eintrag mit der T-Online-IP und Hostname soll raus, dafür bekomme ich bei Spamassasin nämlich fette Punkte.

Die Mails werden von meiner Workstation an einen lokalen Mailserver gegeben, der dieser via STMP-Auth an meinen Rootserver sendet. Leider werden die dann al zu schnell als Spam deklariert....

captaincrunch
Userprojekt
Userprojekt
Posts: 7225
Joined: 2002-10-09 14:30
Location: Dorsten

Re: Ausgehende Mails nicht von Spamassassin prüfen lassen

Post by captaincrunch » 2003-11-10 14:31

Immer noch nicht die nötigen Infos : worüber rufst du SA auf ? procmail ? amavisd ? sonstirgendwas ?
DebianHowTo
echo "[q]sa[ln0=aln256%Pln256/snlbx]sb729901041524823122snlbxq"|dc

tec79
Posts: 29
Joined: 2003-07-08 10:14

Re: Ausgehende Mails nicht von Spamassassin prüfen lassen

Post by tec79 » 2003-11-10 14:37

Ahso....

Ich habe ein Script (filter.sh)

Code: Select all

#!/bin/sh

INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail
SPAMASSASSIN=/usr/bin/spamc

# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69

cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }

# Clean up when done or when aborting.
trap "rm -f in.$$; rm -f out.$$" 0 1 2 3 15

# Parameter for $SPAMASSASSIN
#  -P   Pipe message, don't deliver
#  -x   Disable user config files
#  -a   Use auto-whitelists
# cat | $SPAMASSASSIN -P -x -a > out.$$ || { echo Message content rejected; exit $EX_UNAVAILABLE; }
cat | $SPAMASSASSIN  > out.$$ || { echo Message content rejected; exit $EX_UNAVAILABLE; }

$SENDMAIL -i "$@" < out.$$

exit $?
Und folgende Einstellung in der master.cf

Code: Select all

# ==========================================================================
# service type	private	unpriv	chroot	wakeup	maxproc	command + args
# 		(yes)	(yes)	(yes)	(never)	(50)
# ==========================================================================
#smtp	  inet	n	-	n	-	-	smtpd
smtp      inet  n       -       n       -       -       smtpd -o content_filter=filter:
smtps	  inet	n	-	n	-	-	smtpd
  -o smtpd_tls_wrappermode=yes -o smtpd_sasl_auth_enable=yes
#submission	inet	n	-	n	-	-	smtpd
#  -o smtpd_enforce_tls=yes -o smtpd_sasl_auth_enable=yes
#628	  inet	n	-	n	-	-	qmqpd
pickup	  fifo	n	-	n	60	1	pickup
cleanup	  unix	n	-	n	-	0	cleanup
qmgr	  fifo	n	-	n	300	1	qmgr
#qmgr	  fifo	n	-	n	300	1	nqmgr
#tlsmgr	  fifo	-	-	n	300	1	tlsmgr
rewrite	  unix	-	-	n	-	-	trivial-rewrite
bounce	  unix	-	-	n	-	0	bounce
defer	  unix	-	-	n	-	0	bounce
flush	  unix	n	-	n	1000?	0	flush
smtp	  unix	-	-	n	-	-	smtp
showq     unix	n	-	n	-	-	showq
error     unix	-	-	n	-	-	error
local	  unix	-	n	n	-	-	local
virtual	  unix	-	n	n	-	-	virtual
lmtp	  unix	-	-	n	-	-	lmtp
#localhost:10025 inet	n	-	n	-	-	smtpd -o content_filter=
#
# Interfaces to non-Postfix software. Be sure to examine the manual
# pages of the non-Postfix software to find out what options it wants.
# The Cyrus deliver program has changed incompatibly.
#
cyrus	  unix	-	n	n	-	-	pipe
  flags=R user=cyrus argv=/usr/lib/cyrus/bin/deliver -e -m ${extension} ${user}
uucp	  unix	-	n	n	-	-	pipe
  flags=Fqhu user=uucp argv=uux -r -n -z -a$sender - $nexthop!rmail ($recipient)
ifmail    unix  -       n       n       -       -       pipe
  flags=F user=ftn argv=/usr/lib/ifmail/ifmail -r $nexthop ($recipient)
bsmtp     unix  -       n       n       -       -       pipe
  flags=Fq. user=foo argv=/usr/local/sbin/bsmtp -f $sender $nexthop $recipient
vscan     unix  -       n       n       -       10       pipe
  user=vscan argv=/usr/sbin/amavis ${sender} ${recipient}
procmail  unix  -       n       n       -       -       pipe
  flags=R user=nobody argv=/usr/bin/procmail -t -m /etc/procmailrc ${sender} ${recipient}
relay	  unix	-	-	n	-	-	smtp
proxymap  unix        -       -       n       -       -       proxymap
filter    unix  -       n       n       -       -       pipe 
  flags=Rq user=filter argv=/var/spool/filter/filter.sh -f ${sender} -- ${recipient}